# std::raw_storage_iterator< _OutputIterator, _Tp > Class Template Reference

Inheritance diagram for std::raw_storage_iterator< _OutputIterator, _Tp >:
[legend]

List of all members.

## Public Types

- typedef void difference_type
- typedef output_iterator_tag iterator_category
- typedef void pointer
- typedef void reference
- typedef void value_type

## Public Member Functions

- raw_storage_iterator (_OutputIterator __x)
- raw_storage_iterator & operator* ()
- raw_storage_iterator
  < _OutputIterator, _Tp > & operator++ ()
- raw_storage_iterator
  < _OutputIterator, _Tp > operator++ (int)
- raw_storage_iterator & operator= (const _Tp &__element)

## Protected Attributes

- _OutputIterator _M_iter

## Detailed Description

### template<class _OutputIterator, class _Tp>
class std::raw_storage_iterator< _OutputIterator, _Tp >

This iterator class lets algorithms store their results into uninitialized memory.

Definition at line 67 of file stl_raw_storage_iter.h.

## Member Typedef Documentation

typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type `[inherited]`

Distance between iterators is represented as this type.

Definition at line 121 of file stl_iterator_base_types.h.

typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category `[inherited]`

One of the tag types.

Definition at line 117 of file stl_iterator_base_types.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer `[inherited]`

This type represents a pointer-to-value_type.

Definition at line 123 of file stl_iterator_base_types.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference `[inherited]`

This type represents a reference-to-value_type.

Definition at line 125 of file stl_iterator_base_types.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type `[inherited]`

The type "pointed to" by the iterator.

Definition at line 119 of file stl_iterator_base_types.h.

The documentation for this class was generated from the following file:

- stl_raw_storage_iter.h